%{!?repo:%define repo core}

Summary: DNF %{repo} repository configuration file
Name: springdale-%{repo}
Version: 8
Release: 0.sdl8.2
Group: System Environment/Base 
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: dnf springdale-release /etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
%if "%{repo}" == "core"
Provides: springdale-BaseOS = %{version}-%{release}
Provides: springdale-baseos = %{version}-%{release}
%define base _Base
%define reponame BaseOS
%else
Requires: springdale-core
%if "%{repo}" == "appstream"
%define reponame AppStream
Provides: springdale-AppStream = %{version}-%{release}
%else
Requires: springdale-appstream
%endif
%define base %{nil}
%endif

%description
This rpm contains DNF %{repo} repository configuration file.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

%undefine base_repo
%undefine updates_repo
%undefine debuginfo_repo
%undefine debuginfoupdates_repo
%undefine source_repo
%undefine sourceupdates_repo
%define repo_prefix %{repo}-

%if "%{repo}" == "core" || "%{repo}" == "appstream"
echo "core"
%define base_repo http://springdale.princeton.edu/data/springdale/\\$releasever/\\$basearch/os/%{reponame}
%define updates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/%{reponame}/\\$basearch
%define debuginfo_repo http://springdale.princeton.edu/data/springdale/\\$releasever/\\$basearch/debug/%{reponame}
%define debuginfoupdates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/%{reponame}/debug/\\$basearch
%define source_repo http://springdale.princeton.edu/data/springdale/\\$releasever/source/%{reponame}
%define sourceupdates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/%{reponame}/SRPMS
%if "%{repo}" == "core"
%define repo_prefix sdl8-baseos
%else
%define repo_prefix sdl8-appstream
%endif
%endif

%if "%{repo}" == "buildsys"
echo "buildsys"
%define base_repo http://springdale.princeton.edu/data/springdale/%{repo}/\\$releasever/os/\\$basearch
%endif

# if base_repo wasn't defined by now that means a simple repo
%if %{!?base_repo:1}0
%define base_repo http://springdale.princeton.edu/data/springdale/%{repo}/\\$releasever/\\$basearch
%endif


%if %{?base_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}.repo <<ENDREPO
[%{repo_prefix}]
name=Springdale %{repo} Base \$releasever - \$basearch
mirrorlist=%{base_repo}/mirrorlist
#baseurl=%{base_repo}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?updates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}.repo <<ENDREPO

[%{repo_prefix}-updates]
name=Springdale %{repo} Updates \$releasever - \$basearch
mirrorlist=%{updates_repo}/mirrorlist
#baseurl=%{updates_repo}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?debuginfo_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}-debug.repo <<ENDREPO
[%{repo_prefix}-debuginfo]
name=Springdale %{repo} Base \$releasever Debuginfo - \$basearch
mirrorlist=%{debuginfo_repo}/mirrorlist
#baseurl=%{debuginfo_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?debuginfoupdates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}-debug.repo <<ENDREPO

[%{repo_prefix}-updates-debuginfo]
name=Springdale %{repo} Updates \$releasever Debuginfo - \$basearch
mirrorlist=%{debuginfoupdates_repo}/mirrorlist
#baseurl=%{debuginfoupdates_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?source_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}-source.repo <<ENDREPO
[%{repo_prefix}-source]
name=Springdale %{repo} Base \$releasever SRPMS - \$basearch
mirrorlist=%{source_repo}/mirrorlist
#baseurl=%{source_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?sourceupdates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}-source.repo <<ENDREPO

[%{repo_prefix}-updates-source]
name=Springdale %{repo} Updates \$releasever SRPMS - \$basearch
mirrorlist=%{sourceupdates_repo}/mirrorlist
#baseurl=%{sourceupdates_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config(noreplace) /etc/yum.repos.d/springdale*

%changelog
* Fri May 31 2019 Josko Plazonic <plazonic@princeton.edu>
- do for 8

* Tue Jul 09 2014 Josko Plazonic <plazonic@princeton.edu>
- handle also addons and other repos

* Wed Jul 02 2014 Josko Plazonic <plazonic@princeton.edu>
- rename repos for easier updates handling

* Fri Jun 27 2014 Josko Plazonic <plazonic@princeton.edu>
- initial version for sdl7

* Tue May 27 2014 Josko Plazonic <plazonic@princeton.edu>
- change repoid of debuginfo repos which will make yum-utils happy

* Mon Feb 25 2013 Josko Plazonic <plazonic@math.princeton.edu>
- move to springdale

* Thu Mar 29 2012 Thomas Uphill <uphill@ias.edu>
- rewriting the if statements to make it more readable.
- adding buildsys

* Mon Nov 29 2010 Thomas Uphill <uphill@ias.edu>
- adding mirrorlist for all repos

* Tue Nov 16 2010 Josko Plazonic <plazonic@math.princeton.edu>
- initial build for PUIAS 6

* Tue Jul 17 2007 Josko Plazonic <plazonic@math.princeton.edu>
- variant for unsupported repo

* Mon Mar 26 2007 Josko Plazonic <plazonic@math.princeton.edu>
- first build
